global:
  env: staging
  public: true
  ownerAccess: true
  services:
    backend:
      env:
        RELEASE_SERVICE__POSTGRES__HOST:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: ENDPOINT_ADDRESS
        RELEASE_SERVICE__POSTGRES__PASSWORD:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: MASTER_PASSWORD
        RELEASE_SERVICE__POSTGRES__PORT:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: PORT
    frontend:
      ingress:
        enabled: true
        secretName: release-service-tls
        host: release-service-staging.zooxlabs.com

ci-pipeline:
  enabled: true

rds:
  enabled: true
  CidrBlocks: 10.5.133.0/28,10.5.133.16/28

init-dbs:
  env:
    DB_NAMES:
      value: "release_service"
    ENDPOINT_ADDRESS:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: ENDPOINT_ADDRESS
    MASTER_PASSWORD:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: MASTER_PASSWORD
    MASTER_USERNAME:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: MASTER_USERNAME
    PORT:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: PORT
    DB_NAME:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: DB_NAME
